Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.4.3 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jivesoftware.admin
Class LdapGroupTester.Group

    java.lang.Object
      org.jivesoftware.admin.LdapGroupTester.Group

Enclosing class:
  LdapGroupTester

    public static class LdapGroupTester.Group

extends Object

Representation of a group found in LDAP. This representatio is read-only and only provides some basic information: name, description and number of members in the group. Note that group members are not validated (i.e. checked that they are valid JIDs and that the JID belongs to an existing user).

Constructor Summary
`LdapGroupTester.Group(String name, String description, int members)`

Method Summary
`String` | `getDescription()`
`int` | `getMembers()`
`String` | `getName()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LdapGroupTester.Group

    public LdapGroupTester.Group(String name,
                                 String description,
                                 int members)

Method Detail

### getName

    public String getName()

### getDescription

    public String getDescription()

### getMembers

    public int getMembers()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.4.3 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2007 Jive Software.